Agent Email
Delete an inbox binding
DELETE /v1/agent-email/bindings/{bindingId} · SDK deleteAgentEmailBinding · CLI deployments inbox-binding delete
DELETE
Requires agent-email:write.
platformBearerheader
AuthorizationBearer <token>Platform bearer credential accepted as an opaque API key or JWT.
bindingId*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$x-deployments-environment*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$idempotency-key*stringLength
1 <= length <= 512AgentEmailBindingResponse
application/json- response
agentDeploymentId?stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$bindingType*stringValue in
"external""platform_agent"createdAt*stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timeexternalId*stringid*stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$inboxId*stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$metadata*organizationId*stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$status*stringValue in
"active""archived""disabled"updatedAt*stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timecurl -X DELETE "https://example.com/v1/agent-email/bindings/string" \ -H "x-deployments-environment: string" \ -H "idempotency-key: string"{ "agentDeploymentId": "string", "bindingType": "external", "createdAt": "2019-08-24T14:15:22Z", "externalId": "string", "id": "string", "inboxId": "string", "metadata": { "property1": null, "property2": null }, "organizationId": "string", "status": "active", "updatedAt": "2019-08-24T14:15:22Z"}